Package com.independentsoft.office.odf.forms

# Class Control

java.lang.Object
com.independentsoft.office.odf.forms.Control

All Implemented Interfaces:
  `IFormContent`, `IContentElement`

Direct Known Subclasses:
  `Button`, `CheckBox`, `ComboBox`, `DateTime`, `File`, `FixedText`, `FormattedText`, `Frame`, `GenericControl`, `Grid`, `Hidden`, `Image`, `ImageFrame`, `ListBox`, `Number`, `Password`, `RadioButton`, `TextArea`, `TextField`, `ValueRange`

public abstract class Control extends Object implements IFormContent
The Class Control.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<IEventListener>`
  `eventListeners`
  `protected IContentElement`
  `parent`
  `protected List<FormProperty>`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Control()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Control`
  `clone()`
  `abstract List<IContentElement>`
  `getContentElements()`
  `List<IEventListener>`
  `getEventListeners()`
  Gets the event listeners.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `List<FormProperty>`
  `getProperties()`
  Gets the properties.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parent

    protected IContentElement parent

  - ### properties

    protected List<FormProperty> properties

  - ### eventListeners

    protected List<IEventListener> eventListeners

- ## Constructor Details

  - ### Control

    public Control()

- ## Method Details

  - ### clone

    public abstract Control clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IFormContent`
    Overrides:
      `clone` in class `Object`

  - ### getContentElements

    public abstract List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### getProperties

    public List<FormProperty> getProperties()
    Gets the properties.
    Returns:
      the properties

  - ### getEventListeners

    public List<IEventListener> getEventListeners()
    Gets the event listeners.
    Returns:
      the event listeners